Skip to navigation

List Sales Staff

Returns an array of all B2B Edition users who are assigned to a user role that is labelled as Sales Staff.

Authentication

X-Auth-Tokenstring
HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

X-Store-Hashstring
HeaderArgumentDescription
X-Store-Hashstore_hashThe unique store hash associated with a BigCommerce store that has B2B Edition enabled.

Query parameters

limitintegerOptionalDefaults to 10
Maximum number of results to display per page.
offsetintegerOptionalDefaults to 0
Number of results to skip before displaying the current page.
orderByenumOptionalDefaults to DESC

Sort direction of results, ascending or descending, applied to the sortBy parameter.

Allowed values:
companyIdstringOptional
Unique numeric ID of the Company account.
minModifiedintegerOptional

The earliest Unix timestamp that can be returned for a modified Company account.

sortByenumOptionalDefaults to updated_at
Field by which data should be sorted in the response.
Allowed values:

Response

OK
codeintegerOptionalDefaults to 200
The HTTP Status code of the response.
datalist of anyOptional
metaobjectOptional